package gov.va.med.cds.ars.model;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlType(propOrder = {"mentalAverage", "physicalAverage"})
public class SurveyVR12AggregateDAO 
	extends SurveyAggregateDAO
{
    Double mentalAverage;
    Double physicalAverage;


    @XmlElement
    public Double getMentalAverage( )
    {
        return mentalAverage;
    }


    public void setMentalAverage( Double aMentalAverage )
    {
        this.mentalAverage = aMentalAverage;
    }

    @XmlElement
    public Double getPhysicalAverage( )
    {
        return physicalAverage;
    }


    public void setPhysicalAverage( Double aPhysicalAverage )
    {
        this.physicalAverage = aPhysicalAverage;
    }
    


    public String toString()
    {
        return "Location: " + getLocation() + ",  Record Count: " + getRecordCount() + ",  Mental Avg: " + mentalAverage + ",  Physical Avg: " + physicalAverage;
    }
}

